Skip to main content

Unban a participant

Remove users from the ban list of a specific open channel, lifting their ban.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/open-channel/participant/ban-list/remove

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
participantIdsArrayYesUser IDs to unban. Maximum 20 per request.
channelIdStringYesThe open channel ID.
extraStringNoJSON-formatted extra data included in the notification. Only effective when needNotify is true.
needNotifyBooleanNoWhether to notify the unbanned users. Default: false. When true, the client SDK triggers a callback.

Request example

HTTP
POST /v4/open-channel/participant/ban-list/remove HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "16",
"participantIds": ["2583", "2582"]
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":0}